Bug 114307 - 100's of cronds running, all stuck in either "do_for" or "coredu" state
100's of cronds running, all stuck in either "do_for" or "coredu" state
Product: Fedora
Classification: Fedora
Component: vixie-cron (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2004-01-26 10:07 EST by David Alden
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-08-04 17:06:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Alden 2004-01-26 10:07:34 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)

Description of problem:
Load on this system jumped from an average of 0.2 to over 455.  A
ps shows 456 crond programs running.  It seems to be pairs of crond's
(a parent and a child) -- the parent is in "do_for" state and the
child is in "coredu".  Note that I have 7 machines (3 that are
100% identitical to this one) running FC1, none of the others have
exhibited this symptom.  A reboot fixed the problem.  It's only
occurred once even though this machine has been running FC1 for over
2 months.

Version-Release number of selected component (if applicable):

How reproducible:
Couldn't Reproduce

Additional info:
Comment 1 Slava Kulik 2004-02-21 04:38:38 EST
I see the same problem. I installed Fedora Core 1 on 5 machines, 4 of
them had this problem. All soon after being installed. After
rebooting, it never came back. but I'm running it for only 3 weeks, so
it might happen again. I'm using LDAP to manage user names and groups.
It might something to do with that. I don't know.
Comment 2 Jason Vas Dias 2004-08-04 17:06:46 EDT
never reoccurred with vixie-cron-4.1-+. Closing bug - unreproducible.

Note You need to log in before you can comment on or make changes to this bug.